from pyplanet.apps.config import AppConfig
from pyplanet.contrib.command import Command


class FunCmd(AppConfig):
	app_dependencies = ['core.maniaplanet']

	def __init__(self, *args, **kwargs):
		super().__init__(*args, **kwargs)

	async def on_start(self):
		await self.instance.command_manager.register(
			Command(command='afk', target=self.command_afk, admin=False),
			Command(command='bootme', target=self.command_bootme, admin=False),
			Command(command='rq', aliases="ragequit", target=self.command_rq, admin=False),
			Command(command='gg', target=self.command_gg, admin=False),
			Command(command='n1', target=self.command_n1, admin=False),
			Command(command='nt', target=self.command_nt, admin=False)
		)

	async def command_afk(self, player, data, **kwargs):
		await self.instance.gbx("ChatSendServerMessage", "$fff [{}$z$s$fff] is now away from keyboard.".format(player.nickname))
		await self.instance.gbx("ForceSpectator", player.login, 3)

	async def command_bootme(self, player, data, **kwargs):
		await self.instance.gbx("ChatSendServerMessage", "$fff [{}$z$s$fff] chooses to boot back to real life!".format(player.nickname))
		await self.instance.gbx("Kick", player.login, "chooses to boot to real life")

	async def command_rq(self, player, data, **kwargs):
		await self.instance.gbx("ChatSendServerMessage", "$f00 [{}$z$s$f00] rage quits.".format(player.nickname))
		await self.instance.gbx("Kick", player.login, "rage quit.")

	async def command_gg(self, player, data, **kwargs):
		await self.instance.gbx("ChatSendServerMessage", "$fff [{}$z$s$fff] Good Game everyone!".format(player.nickname))

	async def command_n1(self, player, data, **kwargs):
		await self.instance.gbx("ChatSendServerMessage", "$fff [{}$z$s$fff] Nice one!".format(player.nickname))

	async def command_nt(self, player, data, **kwargs):
		await self.instance.gbx("ChatSendServerMessage", "$fff [{}$z$s$fff] Nice time!".format(player.nickname))
